from netforce.model import Model, fields
from netforce.access import get_active_company

class SettingAccountProduct(Model):
    _name="clinic.setting.account.product"
    _string="Setting Account Product"
    _multi_company=True

    _fields={
        "setting_id": fields.Many2One("clinic.setting","Setting",required=True,on_delete="cascade"),
        "patient_type_id": fields.Many2One("clinic.patient.type","Patient Type"),
        'categ_id': fields.Many2One("product.categ","Category"),
        "product_id": fields.Many2One("product","Product"),
        "ar_credit_id": fields.Many2One("account.account","Income Credit",multi_company=True),
        "ar_debit_id": fields.Many2One("account.account","AR Debit",multi_company=True),
        'company_id': fields.Many2One("company","Company"),
        "type": fields.Selection([("cash","Cash"),("credit","Credit")],"Type"),
    }

    _defaults={
        "company_id": lambda *a: get_active_company(),
    }

    _order="patient_type_id"

SettingAccountProduct.register()
