from netforce.model import Model, fields
from netforce.access import get_active_company

class SettingShopProduct(Model):
    _name="clinic.setting.shop.product"
    _string="Setting Shop Product"
    _multi_company=True

    _fields={
        "setting_id": fields.Many2One("clinic.setting","Setting",required=True,on_delete="cascade"),
        'categ_id': fields.Many2One("product.categ","Category"),
        "product_id": fields.Many2One("product","Product"),
        "ar_credit_id": fields.Many2One("account.account","Sale Account",multi_company=True),
        "ar_debit_id": fields.Many2One("account.account","AR Debit",multi_company=True),
        'company_id': fields.Many2One("company","Company"),
    }

    _defaults={
        "company_id": lambda *a: get_active_company(),
    }

    _order="categ_id"

SettingShopProduct.register()
